﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Samples
{
    public class ViewModel
    {
        public ViewModel()
        {
            orderCollection = new ObservableCollection<Model>();
            this.GenerateOrders();
        }

        private ObservableCollection<Model> orderCollection;

        public ObservableCollection<Model> OrderInfoCollection
        {
            get { return orderCollection; }
            set { orderCollection = value; }
        }

        private void GenerateOrders()
        {
            orderCollection.Add(new Model(1001, "Maria Anders", "https://www.google.com", "ALFKI", "Berlin", true));
            orderCollection.Add(new Model(1002, "Ana Trujilo", "https://www.google.com/", "ANATR", "México D.F.", false));
            orderCollection.Add(new Model(1003, "Antonio Moreno", "https://www.google.com/", "ANTON", "México D.F.", true));
            orderCollection.Add(new Model(1004, "Maria Anders", "https://www.google.com", "ALFKI", "Berlin", false));
            orderCollection.Add(new Model(1005, "Ana Trujilo", "https://www.google.com/", "ANATR", "México D.F.", true));
            orderCollection.Add(new Model(1006, "Antonio Moreno", "https://www.google.com/", "ANTON", "México D.F.", false));
            orderCollection.Add(new Model(1007, "Maria Anders", "https://www.google.com", "ALFKI", "Berlin", true));
            orderCollection.Add(new Model(1008, "Ana Trujilo", "https://www.google.com/", "ANATR", "México D.F.", false));
            orderCollection.Add(new Model(1009, "Antonio Moreno", "https://www.google.com/", "ANTON", "México D.F.", true));
            orderCollection.Add(new Model(1010, "Maria Anders", "https://www.google.com", "ALFKI", "Berlin", false));
            orderCollection.Add(new Model(1011, "Ana Trujilo", "https://www.google.com/", "ANATR", "México D.F.", true));
            orderCollection.Add(new Model(1012, "Antonio Moreno", "https://www.google.com/", "ANTON", "México D.F.", false));           
        }
    }
}
